# norootforbuild

%define soname		3
%define pkg_version_3	0.6.0
%define pkg_version_2	0.5.2
%define pkg_version_1	0.4.2
%define pkg_version_0	0.4.0
%define pkg_version_latest %{pkg_version_3}

%define build_so_2	1
#
# Only build .so.1 and .so.0 libraries on openSUSE versions below 10.3,
# as 10.3 ships .so.2 and not older ones:
#
%if %suse_version < 1030
%define build_so_1	1
%define build_so_0	1
%else
%define build_so_1	0
%define build_so_0	0
%endif

Name:		libgpod%{soname}
Summary:	Shared Library to access the Contents of an iPod
License:	GNU Library General Public License version 2 or later (LGPL 2)
Group:		System/Libraries
URL:		http://gtkpod.sourceforge.net/
Version:	%{pkg_version_latest}
Release:	101.14
Source:		http://prdownloads.sourceforge.net/gtkpod/libgpod-%{pkg_version_latest}.tar.gz
Source3:	http://prdownloads.sourceforge.net/gtkpod/libgpod-%{pkg_version_2}.tar.gz
Source2:	http://prdownloads.sourceforge.net/gtkpod/libgpod-%{pkg_version_1}.tar.gz
Source1:	http://prdownloads.sourceforge.net/gtkpod/libgpod-%{pkg_version_0}.tar.gz
Patch1:		libgpod-0.4.2-lower_ithumb_max_size.patch
Patch2:		libgpod-0.4.0-gettext-soname.patch
Patch3:		libgpod-0.4.2-gettext-soname.patch
Patch4:		libgpod-0.5.2-gettext-soname.patch
Patch5:		libgpod-0.6.0-gettext-soname.patch
BuildRoot:	%{_tmppath}/%{name}-%{pkg_version_latest}-build
BuildRequires:	gtk2-devel hal-devel perl-XML-Parser update-desktop-files gtk-doc
BuildRequires:	gcc glibc-devel make autoconf automake libtool intltool gettext-devel
# python bindings need eyeD3 0.6.6 which is only there since 10.1
%if %suse_version >= 1010
BuildRequires:	python-devel python-eyeD3 swig python-mutagen
%py_requires
%endif
%if %suse_version >= 1030
BuildRequires:  fdupes
%endif
Provides:	libgpod%{soname} = %{pkg_version_latest}-%{release}
Provides:	libgpod = %{pkg_version_latest}-%{release}

%description
libgpod is a shared library to access the contents of an iPod. This library
is based on code used in the gtkpod project. Starting with V0.96.CVS gtkpod
depends on this library.
This code was originally part of gtkpod itself. When the parsing code was made
self-contained with gtkpod V0.93, we chose to put this code in a separate
library so that other projects can benefit from it without duplicating code.
libgpod supports playlists, smart playlists, playcounts, ratings and podcasts.
Support for cover art and photos is currently being tested.

%debug_package

%package -n libgpod-devel
Group:        Development/Libraries/C and C++
Summary:      Library to Manipulate Songs and Playlists Stored on iPod
Requires:     libgpod%{soname} = %{pkg_version_latest}-%{release}
Requires:     gtk2-devel glibc-devel dbus-1-devel hal-devel
Provides:     libgpod-devel = %{pkg_version_latest}-%{release}

%description -n libgpod-devel
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package -n libgpod-devel-static
Group:        Development/Libraries/C and C++
Summary:      Library to Manipulate Songs and Playlists Stored on iPod
Requires:     libgpod-devel = %{pkg_version_latest}-%{release}

%description -n libgpod-devel-static
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%if %suse_version >= 1010
%package -n libgpod-python
Summary:      Python Module to access iPod Content
Group:	      Development/Languages/Python
Provides:     python-libgpod = %{pkg_version_latest}-%{release}
Requires:     python-mutagen

%description -n libgpod-python
A python module to access iPod content. This module provides bindings to the
libgpod library.
%endif # %suse_version >= 1010

%package -n libgpod-doc
Summary:      Developer Documentation for libgpod
Group:	      Development/Libraries/C and C++

%description -n libgpod-doc
API reference documentation for libgpod

%if %build_so_2
%package -n libgpod2
Summary:	Shared Library to access the Contents of an iPod
Version:	%{pkg_version_2}
License:	GNU Library General Public License version 2 or later (LGPL 2)
Group:		System/Libraries
Provides:	libgpod2 = %{pkg_version_2}-%{release}
Provides:	libgpod = %{pkg_version_2}-%{release}
%if %suse_version >= 1020 && %suse_version < 1030
Obsoletes:	libgpod
Provides:	libgpod = %{pkg_version_2}-%{release}
%endif
%description -n libgpod2
This package contains libgpod.so.2 for backwards compatibility.
%endif

%if %build_so_1
%package -n libgpod1
Summary:	Shared Library to access the Contents of an iPod
Version:	%{pkg_version_1}
License:	GNU Library General Public License version 2 or later (LGPL 2)
Group:		System/Libraries
Provides:	libgpod1 = %{pkg_version_1}-%{release}
Provides:	libgpod = %{pkg_version_1}-%{release}
%description -n libgpod1
This package contains libgpod.so.1 for backwards compatibility.
%endif

%if %build_so_0
%package -n libgpod0
Summary:	Shared Library to access the Contents of an iPod
Version:	%{pkg_version_0}
License:	GNU Library General Public License version 2 or later (LGPL 2)
Group:		System/Libraries
Provides:	libgpod0 = %{pkg_version_0}-%{release}
Provides:	libgpod = %{pkg_version_0}-%{release}
%if %suse_version < 1020
Obsoletes:	libgpod
Provides:	libgpod = %{pkg_version_0}-%{release}
%endif
%description -n libgpod0
This package contains libgpod.so.0 for backwards compatibility.
%endif

%prep
%setup -q -n "libgpod-%{pkg_version_latest}"
# change GETTEXT_PACKAGE from libgpod to libgpod%{soname}:
%patch5
%__sed -i 's|@@SONAME@@|%{soname}|g' configure.ac
# Fix path to python:
%__sed -i '/^#!\/usr\/bin\/env python/ d' bindings/python/gtkpod.py
%__chmod 644 bindings/python/examples/*.py

%if %build_so_0
%setup -q -D -T -a 1 -n "libgpod-%{pkg_version_latest}"
pushd "libgpod-%{pkg_version_0}"
# change GETTEXT_PACKAGE from libgpod to libgpod0:
%patch2
%__sed -i 's|@@SONAME@@|0|g' configure.ac
popd
%endif

%if %build_so_1
%setup -q -D -T -a 2 -n "libgpod-%{pkg_version_latest}"
# change GETTEXT_PACKAGE from libgpod to libgpod1 and
# apply patch to lower ITHUMB_MAX_SIZE to improve
# scanning performance:
pushd "libgpod-%{pkg_version_1}"
%patch1
%patch3
%__sed -i 's|@@SONAME@@|1|g' configure.ac
popd
%endif

%if %build_so_2
%setup -q -D -T -a 3 -n "libgpod-%{pkg_version_latest}"
# change GETTEXT_PACKAGE from libgpod to libgpod2
pushd "libgpod-%{pkg_version_2}"
%patch4
%__sed -i 's|@@SONAME@@|2|g' configure.ac
popd
%endif

%build
# ! breaks build on 10.1 because of ALL_LINGUAS
for d in . "libgpod-%{pkg_version_2}" "libgpod-%{pkg_version_1}" "libgpod-%{pkg_version_0}"; do
    if [ -d "$d" ]; then
        pushd "$d"
	ACLOCAL="aclocal -I m4" autoreconf -fiv
	popd
    fi
done

%configure \
%if %suse_version >= 1010
    --with-python=yes \
%endif
    --enable-static

%__make %{?jobs:-j%jobs}

%if %build_so_2
pushd "libgpod-%{pkg_version_2}"
%configure
%__make %{?jobs:-j%jobs}
popd
%endif #build_so_2

%if %build_so_1
pushd "libgpod-%{pkg_version_1}"
%configure
%__make %{?jobs:-j%jobs}
popd
%endif #build_so_1

%if %build_so_0
pushd "libgpod-%{pkg_version_0}"
%configure
%__make %{?jobs:-j%jobs}
popd
%endif #build_so_0

%install
%makeinstall

%if %build_so_2
pushd "libgpod-%{pkg_version_2}"
# a hack, but faster and simpler:
%__cp -d ./src/.libs/libgpod.so.2* "%{buildroot}%{_libdir}/"
%makeinstall -C po
popd
%endif #build_so_2

%if %build_so_1
pushd "libgpod-%{pkg_version_1}"
# a hack, but faster and simpler:
%__cp -d ./src/.libs/libgpod.so.1* "%{buildroot}%{_libdir}/"
%makeinstall -C po
popd
%endif #build_so_1

%if %build_so_0
pushd "libgpod-%{pkg_version_0}"
# a hack, but faster and simpler:
%__cp -d ./src/.libs/libgpod.so.0* "%{buildroot}%{_libdir}/"
%makeinstall -C po
popd
%endif #build_so_0

%find_lang "libgpod%{soname}"
%if %build_so_0
%find_lang "libgpod0"
%else
echo -n > libgpod0.lang
%endif
%if %build_so_1
%find_lang "libgpod1"
%else
echo -n > libgpod1.lang
%endif
%if %build_so_2
%find_lang "libgpod2"
%endif

%if %suse_version >= 1030
%fdupes -s "%{buildroot}"
%endif

%clean
%__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f "libgpod%{soname}.lang"
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libgpod.so.%{soname}
%{_libdir}/libgpod.so.%{soname}.*

%files -n libgpod-doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libgpod

%files -n libgpod-devel
%defattr(-,root,root)
%{_libdir}/libgpod.so
%{_libdir}/libgpod.la
%{_libdir}/pkgconfig/libgpod-1.0.pc
%{_includedir}/gpod-1.0

%files -n libgpod-devel-static
%defattr(-,root,root)
%{_libdir}/libgpod.a

%if %suse_version >= 1010
%files -n libgpod-python
%defattr(-,root,root,0755)
%doc COPYING bindings/python/examples
%{py_sitedir}/gpod
%endif

%if %build_so_2
%files -n libgpod2 -f libgpod2.lang
%defattr(-,root,root)
%doc libgpod-%{pkg_version_2}/AUTHORS
%doc libgpod-%{pkg_version_2}/COPYING
%doc libgpod-%{pkg_version_2}/ChangeLog
%doc libgpod-%{pkg_version_2}/NEWS
%doc libgpod-%{pkg_version_2}/README
%{_libdir}/libgpod.so.2
%{_libdir}/libgpod.so.2.*.*
%endif

%if %build_so_1
%files -n libgpod1 -f libgpod1.lang
%defattr(-,root,root)
%doc libgpod-%{pkg_version_1}/AUTHORS
%doc libgpod-%{pkg_version_1}/COPYING
%doc libgpod-%{pkg_version_1}/ChangeLog
%doc libgpod-%{pkg_version_1}/NEWS
%doc libgpod-%{pkg_version_1}/README
%{_libdir}/libgpod.so.1
%{_libdir}/libgpod.so.1.*.*
%endif

%if %build_so_0
%files -n libgpod0 -f libgpod0.lang
%defattr(-,root,root)
%doc libgpod-%{pkg_version_0}/AUTHORS
%doc libgpod-%{pkg_version_0}/COPYING
%doc libgpod-%{pkg_version_0}/ChangeLog
%doc libgpod-%{pkg_version_0}/NEWS
%doc libgpod-%{pkg_version_0}/README
%{_libdir}/libgpod.so.0
%{_libdir}/libgpod.so.0.*.*
%endif

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
